package edu.ucf.cs.courses.cop4610l.beans.streams;

/**
 * @author Mathew B. Lowery
 * @version 1.0
 */

import java.util.*;
import java.io.*;

/**
 * An event that encapsulates a piped input stream.
 * @see StringToStream
 * @see StreamConstructedListener
 */
public class StreamConstructedEvent extends EventObject {
  private InputStream stream;

  public StreamConstructedEvent(Object source, InputStream stream) {
    super(source);
    this.stream = stream;
  }

  public void setStream(InputStream stream) {
    this.stream = stream;
  }

  public InputStream getStream() {
    return stream;
  }
} // StreamConstructedObject