package edu.ucf.cs.courses.cop4610l.beans.streams;

/**
 * @author Mathew B. Lowery
 * @version 1.0
 */

import java.util.*;

/**
 * An event that encapsulates a string.
 * @see StreamToString
 * @see StringConstructedListener
 */
public class StringConstructedEvent extends EventObject {
  private String string;

  public StringConstructedEvent(Object source, String string) {
    super(source);
    this.string = string;
  }

  public void setString(String string) {
    this.string = string;
  }

  public String getString() {
    return string;
  }
} // StringConstructedEvent